<template lang="pug">
.btns.is-flex.is-align-items-center( :class='[{ "is-flex-direction-column": vertical }, centered ? "is-justify-content-center" : "is-justify-content-flex-start"]' )
	slot
</template>

<script>
export default {
	props: {
		vertical: {
			type: Boolean,
			default: false
		},
		centered: {
			type: Boolean,
			default: false
		}
	}
}
</script>

<style lang="scss" scoped>
$gap: .625rem;
$gap-mobile: .45rem;

.btns {
	margin: -#{$gap};
	.btn {
		margin: $gap;
	}
	::v-deep {
		&+.btns {
			margin-top: calc(2rem - #{$gap});
		}
	}

	@include max_tablet {
		margin: -#{$gap-mobile};
		.btn {
			margin: $gap-mobile;
		}
		::v-deep {
			&+.btns {
				margin-top: calc(2rem - #{$gap-mobile});
			}
		}	
	}
}
</style>